#
# spec file for package setxkbmap
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           setxkbmap
VCS: https://src.suse.de/SLFO-pool/setxkbmap#024d1ecadcb1b4220f16b5fb209ace1cb4290bbba318889de765de74984013e9
Version:        1.3.4
Release:        160000.1.8
Summary:        Utility to change the keyboard layout in X
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrandr)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
setxkbmap is an X11 client to change the keymaps in the X server for a
specified keyboard to use the layout determined by the options listed
on the command line.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/setxkbmap
%{_mandir}/man1/setxkbmap.1%{?ext_man}

%changelog
* Tue May 16 2023 sndirsch@suse.com
- Update to version 1.3.4
  * gitlab CI: stop requiring Signed-off-by in commits
  * Be more careful about querying randr
  * Fix "Xwayland" spelling
  * Check for the XWAYLAND extension
  * Route the Xwayland warning through stderr
* Sun Apr  3 2022 sndirsch@suse.com
- Update to version 1.3.3
  * bugfix release
* Fri Mar 12 2021 dmueller@suse.com
- modernise spec file (move license to licensedir)
* Mon Jul 15 2019 sndirsch@suse.com
- Update to version 1.3.2
  * Correct error messages for missing/invalid file passed to -config
  * Update configure.ac bug URL for gitlab migration
  * autogen.sh: use quoted string variables
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen: add default patch prefix
  * Update README for gitlab migration
* Fri Apr 24 2015 sndirsch@suse.com
-  Update to version 1.3.1:
  * Move global rules variable into applyRules, the only function that uses it
  * Make len a size_t instead of converting back & forth to an int
  * Use C99 struct initializer for cmdNames in applyComponentNames
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Printing the program's version number on -version.
  * Fixing a small mistake in the man page -- s/comp/map/.
  * Ensure consistency between the manpage and the output of the -h option
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.3.0:
  + Mention xkeyboard-config(7) in setxkbmap(1)
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + Minor style changes in help message.
  + Few messages added for easier troubleshooting.
  + Consistent handling of memory allocation errors.
  + Removed unused arg subdir in function findFileInPath()
  + Bug in searching config files fixed.
  + Data refactored: list_t introduced to keep list and its sizes
    together.
  + Bugs fixes: fdo#34117, fdo#34118, fdo#34151.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split setxkbmap from xorg-x11. Initial version: 1.2.0.
